Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TPQ_Entry Class Reference

Token Proxy Queue entry. Used in the ACE_Token_Proxy_Queue. More...

`#include <Local_Tokens.h>`

Inheritance diagram for ACE_TPQ_Entry:

[legend]
Collaboration diagram for ACE_TPQ_Entry:

[legend]
List of all members.

## Public Types
typedef void(* | PTVF )(void *)
## Public Methods
| ACE_TPQ_Entry (void)
| Null constructor.
| ACE_TPQ_Entry (const ACE_Token_Proxy *proxy, const ACE_TCHAR *client_id)
| Constructor.
| ACE_TPQ_Entry (const ACE_TPQ_Entry &rhs)
| Copy constructor.
| ~ACE_TPQ_Entry (void)
| Destructor.
void | operator= (const ACE_TPQ_Entry &rhs)
| Copy operator use by the queue.
ACE_Token_Proxy * | proxy (void) const
| Get top of the queue.
void | proxy (ACE_Token_Proxy *)
| Set top of the queue.
int | nesting_level (void) const
| Get nesting level of the entry.
void | nesting_level (int delta)
| Delta nesting level of the entry.
const ACE_TCHAR * | client_id (void) const
| Get client_id of the entry.
void | client_id (const ACE_TCHAR *)
| Set client_id of the entry.
int | equal_client_id (const ACE_TCHAR *id)
| Returns 1 if id == client id. Does not check for id == 0.
void | set (void(*sleep_hook)(void *))
| One method for arg and sleep_hook.
void | sleep_hook (void(*sh)(void *))
| Set sleep hook of the entry.
PTVF | sleep_hook (void) const
| Get sleep hook of the entry.
void | call_sleep_hook (void)
| Call the sleep hook function or method passing arg.
void | dump (void) const
| Dump the state of the class.
int | waiting (void) const
| Get whether this client is blocked waiting for a token.
void | waiting (int w)
| Set whether this client is blocked waiting for a token.
## Public Attributes
ACE_TOKEN_CONST::COND_VAR | cond_var_
ACE_TOKEN_CONST::MUTEX | lock_
ACE_TPQ_Entry * | next_
| Pointer to next in list.
## Private Attributes
int | waiting_
| This client is waiting for a token.
ACE_Token_Proxy * | proxy_
| Proxy.
int | nesting_level_
| Nesting level.
void * | arg_
| Arg.
ACE_TCHAR | client_id_ [ACE_MAXCLIENTIDLEN]
| Client id.
void(* | sleep_hook_ )(void *)
| Sleep hook.
## Friends
class | ACE_Token_Manager

## Detailed Description

Token Proxy Queue entry. Used in the ACE_Token_Proxy_Queue.

Not a public interface.

## Member Typedef Documentation

typedef void(* ACE_TPQ_Entry::PTVF)(void *)

## Constructor & Destructor Documentation

ACE_TPQ_Entry::ACE_TPQ_Entry | ( | void |  | ) |

| Null constructor.

ACE_TPQ_Entry::ACE_TPQ_Entry | ( | const ACE_Token_Proxy * | proxy,
|  | const ACE_TCHAR * | client_id
| ) |

| Constructor.

ACE_TPQ_Entry::ACE_TPQ_Entry | ( | const ACE_TPQ_Entry & | rhs | ) |

| Copy constructor.

ACE_TPQ_Entry::~ACE_TPQ_Entry | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_TPQ_Entry::call_sleep_hook | ( | void |  | ) |

| Call the sleep hook function or method passing arg.

void ACE_TPQ_Entry::client_id | ( | const ACE_TCHAR * |  | ) |

| Set client_id of the entry.

const ACE_TCHAR* ACE_TPQ_Entry::client_id | ( | void |  | ) | const

| Get client_id of the entry.

void ACE_TPQ_Entry::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented in ACE_TSS_TPQ_Entry.

int ACE_TPQ_Entry::equal_client_id | ( | const ACE_TCHAR * | id | ) |

| Returns 1 if id == client id. Does not check for id == 0.

void ACE_TPQ_Entry::nesting_level | ( | int | delta | ) |

| Delta nesting level of the entry.

int ACE_TPQ_Entry::nesting_level | ( | void |  | ) | const

| Get nesting level of the entry.

void ACE_TPQ_Entry::operator= | ( | const ACE_TPQ_Entry & | rhs | ) |

| Copy operator use by the queue.

void ACE_TPQ_Entry::proxy | ( | ACE_Token_Proxy * |  | ) |

| Set top of the queue.

ACE_Token_Proxy* ACE_TPQ_Entry::proxy | ( | void |  | ) | const

| Get top of the queue.

void ACE_TPQ_Entry::set | ( | void(* | sleep_hook)(void *) | ) |

| One method for arg and sleep_hook.

PTVF ACE_TPQ_Entry::sleep_hook | ( | void |  | ) | const

| Get sleep hook of the entry.

void ACE_TPQ_Entry::sleep_hook | ( | void(* | sh)(void *) | ) |

| Set sleep hook of the entry.

void ACE_TPQ_Entry::waiting | ( | int | w | ) |

| Set whether this client is blocked waiting for a token.

int ACE_TPQ_Entry::waiting | ( | void |  | ) | const

| Get whether this client is blocked waiting for a token.

## Friends And Related Function Documentation

friend class ACE_Token_Manager`[friend]`

## Member Data Documentation

void* ACE_TPQ_Entry::arg_`[private]`

| Arg.

ACE_TCHAR ACE_TPQ_Entry::client_id_[ACE_MAXCLIENTIDLEN]`[private]`

| Client id. Reimplemented in ACE_TSS_TPQ_Entry.

ACE_TOKEN_CONST::COND_VAR ACE_TPQ_Entry::cond_var_

ACE_TOKEN_CONST::MUTEX ACE_TPQ_Entry::lock_

int ACE_TPQ_Entry::nesting_level_`[private]`

| Nesting level.

ACE_TPQ_Entry* ACE_TPQ_Entry::next_

| Pointer to next in list.

ACE_Token_Proxy* ACE_TPQ_Entry::proxy_`[private]`

| Proxy. Reimplemented in ACE_TSS_TPQ_Entry.

void(* ACE_TPQ_Entry::sleep_hook_)(void *)`[private]`

| Sleep hook.

int ACE_TPQ_Entry::waiting_`[private]`

| This client is waiting for a token.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.cpp